Subject: bug#13002: Dealing with C intermediate files

From: Hans-Bernhard Bröker <[email-masked]>
Date: Sat, 24 Oct 2020 18:31:04 +0200

Am 24.10.2020 um 17:53 schrieb Karl Berry:
>      The obvious canonical examples would have to be lex and yacc.  They
>      generate .c and .h files into the blddir, and automake has built-in
>      mechanisms to include the generated sources into the tarball.
> 
> No argument there, but vala is so much newer than lex and yacc,
> especially in terms of Automake support. I don't see the need to create
> in these latter days yet another special case for treating intermediate
> files non-intermediately.

Well, so how about un-special-casing the existing machinery a bit?  It's 
quite exactly the same job that needs to be done, so at the very least, 
the existing yacc/lex handling code could serve as a template.  With a 
bit of good look, the end result might be that yacc, lex and vala are 
all just triggering a single, shared implementation, which can also be 
made available for generic usage by other source-code generating tools.